ALTER SCHEMA()

NAME
ALTER SCHEMA - change the definition of a schema

SYNOPSIS

ALTER SCHEMA name RENAME TO newname
ALTER SCHEMA name OWNER TO newowner

DESCRIPTION

ALTER SCHEMA changes the definition of a schema. To rename a schema you must own the schema and have the privilege CREATE for the database. To change the owner of a schema, you must be a superuser.

PARAMETERS

name
    The name of an existing schema.

newname
    The new name of the schema. The new name cannot begin with pg_, as such names are reserved for system schemas.

newowner
    The new owner of the schema.

COMPATIBILITY

There is no ALTER SCHEMA statement in the SQL standard.

SEE ALSO
CREATE SCHEMA [create_schema(7)], DROP SCHEMA [drop_schema(l)]